Issue 105887 - Copy & Paste from website crashes OOo Writer 3.1.1
Summary: Copy & Paste from website crashes OOo Writer 3.1.1
Status: CLOSED IRREPRODUCIBLE
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: OOo 3.1.1
Hardware: PC Linux, all
: P3 Trivial with 1 vote (vote)
Target Milestone: ---
Assignee: writerneedsconfirm
QA Contact: issues@sw
URL:
Keywords: needmoreinfo, oooqa
Depends on:
Blocks:
 
Reported: 2009-10-14 08:32 UTC by zenshaolin
Modified: 2009-11-04 11:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description zenshaolin 2009-10-14 08:32:15 UTC
Go to via Firefox 3.0.14:
http://www.clubic.com/forum/os-alternatifs/vnc-over-ssh-client-linux-%3E-serveur-windows-id183214-page1.html

Select:
====

Full page

====
Copy using Ctrl-C

Now Paste into a clean, newly opened OOo 3.1.1 Writer doc using
Shift-Insert or Ctrl-V or from the OOo menu Edit|Paste.

Writer crashes - every time.
Comment 1 michael.ruess 2009-10-14 15:16:05 UTC
I cannot reproduce this problem. Tested it with native OO 3.1 and 3.1.1 on
WinXP, ubuntu 9.04 and Solaris. Do you work on a certain Linux distribution,
e.g. ubuntu or Fedora running the by-packed OOo build? In this case, please
refer to the distributors support or even run the native OOo builds which can be
downloaded from OpenOffice.org.
Comment 2 michael.ruess 2009-10-14 15:18:59 UTC
Closed, not reproducible with native build.
Comment 3 zenshaolin 2009-10-14 19:07:38 UTC
Tested with native OOo 3.1.1 on ubuntu 9.04 and WinXP.
Different computers and same problem.

http://www.clubic.com/forum/os-alternatifs/vnc-over-ssh-client-linux-%3E-serveur-windows-id183214-page1.html
 => Select the entire page, from the logo to the bottom, ctrl+c, ctrl+v on ooo
writer.
The app just close, no 'bug report' window.

Bug confirmed by a friend of mine.
Comment 4 zenshaolin 2009-10-15 08:02:12 UTC
More informations :

Ubuntu 9.04 : crash, no 'bug report' notification
WinXP : freeze
Comment 5 kimengumi 2009-10-15 08:19:35 UTC
Hi,

Bug confirmed for me with ooo 3.1.1 (native build), Firefox 3.5.3 on Ubuntu 9.04.
Copy-paste from websites crash occasionaly => no bug report.

But, unconfirmed on win XP, no freeze.
Comment 6 Joost Andrae 2009-10-15 10:22:28 UTC
I've tried to reproduce this by using OOO320_m1 build on Solaris x86: -> no
crash and no freeze. Maybe you are using a proxy but forgot to add the proxy
settings in /tools/options/internet/proxy
Comment 7 michael.ruess 2009-10-15 12:37:07 UTC
@zenshaolin: does OO Writer end itself or is it caught in a loop (does not react
anymore)? If it is the second, it should be the same issue 7553.
As ja proposed above, check the proxy settings and set the correct one if it is
used or set "none" if you have a direct internet connection.
Comment 8 zenshaolin 2009-10-15 13:24:07 UTC
hi,
no proxy at home, I have a direct internet connection. Proxy settings is set to
"none".
OO Writer end itself.

Do you need more informations ?
Comment 9 zenshaolin 2009-10-15 13:33:27 UTC
At work : winXP => no freeze anymore...
At home : OO Writer (native build 3.1.1) end itself on Ubuntu 9.04.

I'll try to do this tonight =>
http://ubuntuforums.org/showpost.php?p=7978344&postcount=16
Comment 10 eric.savary 2009-10-19 08:43:03 UTC
@zenshaolin: any new results?
Comment 11 zenshaolin 2009-10-19 12:24:39 UTC
same problem...
do I try something else?
Comment 12 michael.ruess 2009-11-04 11:34:48 UTC
Sorry, but I really do not think that this is an OOo problem. I have now tested
this on several systems (including WinXP, Win7, SUSE 10.x, ubuntu 9.04 and 9.10
using native and provided builds) but everywhere pasting the mentioned content
did not end OOo.
Also, when OOo ends suddenly without message this may also be a problem from the
XServer; maybe this is outdated on your system.
Comment 13 michael.ruess 2009-11-04 11:45:07 UTC
Closed.